cURL
curl --request GET \ --url https://api.bunny.net/mc/apps/{appId}/volumes \ --header 'AccessKey: <api-key>'
{ "items": [ { "name": "<string>", "id": "<string>", "size": 5, "totalUsage": 123, "totalInstancesCount": 123, "attachedInstancesCount": 123, "containersCount": 123, "volumeInstances": [ { "id": "<string>", "attachedPods": [ "<string>" ], "attachedContainers": [ "<string>" ], "region": "<string>", "status": "unknown", "size": 5, "usage": 123 } ] } ], "meta": { "totalItems": 123 }, "cursor": "<string>", "summary": { "totalPods": 123, "totalContainers": 123, "totalStorage": 123 } }
Lists all volume templates and their instances for an application, including usage statistics.
Please enter a valid personal API key.
Volumes were successfully retrieved.
List volumes response
Show child attributes
Was this page helpful?